%define major 6
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: PSION 5(MX) file format data conversion utilities
Name: psiconv
Version: 0.9.9
Release: %mkrel 4
Source0: http://www.frodo.looijaard.name/system/files/software/psiconv/%{name}-%{version}.tar.gz
License: GPL
Group: File tools
Url: http://software.frodo.looijaard.name/psiconv/
BuildRequires: imagemagick-devel
BuildRequires: bc
Patch0: psiconv-0.9.8-gcc10.patch

%description
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

%package -n %libname
Group: System/Libraries
Summary: PSION 5(MX) file format data conversion library

%description -n %libname
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

This contains a shared library that can be used by programs to convert
PSION files.

%package -n %develname
Group: Development/C
Summary: PSION 5(MX) file format data conversion library
Requires: %libname = %version
Provides: libpsiconv-devel = %version-%release
Obsoletes: %{_lib}psiconv6-devel < 0.9.8-17

%description -n %develname
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

Install this if you want to compile an application that uses psiconv
to convert PSION files.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install
%multiarch_binaries %buildroot%_bindir/psiconv-config
rm -rf %buildroot%_datadir/psiconv/xhtml %buildroot%{_libdir}/*.la

%files
%doc TODO README NEWS AUTHORS ChangeLog
%dir %_sysconfdir/psiconv/
%config(noreplace) %_sysconfdir/psiconv/*
%_bindir/%name
%_mandir/man1/%name.1*
%_datadir/%name

%files -n %libname
%_libdir/libpsiconv.so.%{major}
%_libdir/libpsiconv.so.%{major}.*

%files -n %develname
%_libdir/libpsiconv.so
%_includedir/%name
%_bindir/psiconv-config
%multiarch_bindir/psiconv-config
%_mandir/man1/psiconv-config.1*
%_mandir/man5/psiconv.conf.5*


%changelog
* Fri Jul 03 2020 joequant <joequant> 0.9.9-4.mga8
+ Revision: 1601748
- bump
- add patch
- update to gcc10

* Fri Feb 14 2020 umeabot <umeabot> 0.9.9-3.mga8
+ Revision: 1516176
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.9-2.mga7
+ Revision: 1300391
- Mageia 7 Mass Rebuild

* Sat Apr 14 2018 kekepower <kekepower> 0.9.9-1.mga7
+ Revision: 1218721
- Update to version 0.9.9

* Sun Jan 21 2018 wally <wally> 0.9.8-28.mga7
+ Revision: 1195340
- rebuild for new imagemagick

* Wed Dec 27 2017 wally <wally> 0.9.8-27.mga7
+ Revision: 1185829
- rebuild for new imagemagick

* Sat May 27 2017 shlomif <shlomif> 0.9.8-26.mga6
+ Revision: 1105201
- rebuild for new imagemagick

* Wed Feb 03 2016 umeabot <umeabot> 0.9.8-25.mga6
+ Revision: 933825
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.8-24.mga5
+ Revision: 738931
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8-23.mga5
+ Revision: 687813
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 fwang <fwang> 0.9.8-22.mga5
+ Revision: 586320
- rebuild for new imagemagick

* Sat Oct 19 2013 umeabot <umeabot> 0.9.8-21.mga4
+ Revision: 524003
- Mageia 4 Mass Rebuild

* Tue May 28 2013 fwang <fwang> 0.9.8-20.mga4
+ Revision: 429368
- lock libmajor

* Tue May 28 2013 fwang <fwang> 0.9.8-19.mga4
+ Revision: 429185
- rebuild for new imagemagick

* Sun Jan 13 2013 umeabot <umeabot> 0.9.8-19.mga3
+ Revision: 378280
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.9.8-18.mga3
+ Revision: 330784
- rebuild for new imagemagick

* Sat Nov 26 2011 fwang <fwang> 0.9.8-17.mga3
+ Revision: 172002
- update devel package name
- drop .la file

* Fri Feb 25 2011 ennael <ennael> 0.9.8-16.mga1
+ Revision: 59141
- clean spec file
- imported package psiconv

